///-----------------------------------------------------------------
///
/// @file      sysinfo_dialog.cpp
/// @author    Juraj Vanek
/// Created:   16. 4. 2010 2:16:16
/// @section   DESCRIPTION
///            TInfo class implementation
///
///------------------------------------------------------------------

#include "sysinfo_dialog.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// TInfo
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(TInfo,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(TInfo::OnClose)
	EVT_BUTTON(ID_BTNINFOOK,TInfo::btnInfoOKClick)
END_EVENT_TABLE()
////Event Table End

TInfo::TInfo(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

TInfo::~TInfo()
{
} 

void TInfo::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End.
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxBoxSizer1 = new wxBoxSizer(wxVERTICAL);
	this->SetSizer(WxBoxSizer1);
	this->SetAutoLayout(true);

	htmlInfo = new wxHtmlWindow(this, ID_HTMLINFO, wxPoint(5, 5), wxSize(464, 562));
	WxBoxSizer1->Add(htmlInfo,0,wxALIGN_CENTER | wxALL,5);

	btnInfoOK = new wxButton(this, ID_BTNINFOOK, wxT("Close"), wxPoint(199, 571), wxSize(75, 25), 0, wxDefaultValidator, wxT("btnInfoOK"));
	WxBoxSizer1->Add(btnInfoOK,0,wxALIGN_CENTER | wxALL,5);

	SetTitle(wxT("System info"));
	SetIcon(wxNullIcon);
	
	GetSizer()->Layout();
	GetSizer()->Fit(this);
	GetSizer()->SetSizeHints(this);
	Center();
	
	////GUI Items Creation End
}

void TInfo::OnClose(wxCloseEvent& /*event*/)
{
	Destroy();
}

/*
 * Close window
 */
void TInfo::btnInfoOKClick(wxCommandEvent& event)
{
	EndModal(0);
}
