///-----------------------------------------------------------------
///
/// @file      change_dialog.h
/// @author    Juraj Vanek
/// Created:   16. 4. 2010 0:31:39
/// @section   DESCRIPTION
///            ChangeDialog class declaration
///
///------------------------------------------------------------------

#ifndef __CHANGEDIALOG_H__
#define __CHANGEDIALOG_H__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/checkbox.h>
#include <wx/button.h>
#include <wx/choice.h>
#include <wx/stattext.h>
////Header Include End
#include <wx/display.h>
#include "gui.h"

class TForm; 

////Dialog Style Start
#undef ChangeDialog_STYLE
#define ChangeDialog_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class ChangeDialog : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		void btnChangeOKClick(wxCommandEvent& event);
		
	public:
		ChangeDialog(TForm *parent, wxWindowID id = 1, const wxString &title = wxT("Change settings"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = ChangeDialog_STYLE);
		virtual ~ChangeDialog();
		
		void SetSupport(bool GSsupport,bool CLsupport)
		{
      if(!CLsupport) choiceSeries->Delete(6);      
      if(!GSsupport) choiceSeries->Delete(3);
    }
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxCheckBox *checkWindowed;
		wxButton *btnChangeOK;
		wxChoice *choiceSeries;
		wxStaticText *WxStaticText4;
		wxChoice *choiceAA;
		wxStaticText *WxStaticText3;
		wxChoice *choiceRes;
		wxStaticText *WxStaticText2;
		////GUI Control Declaration End
		TForm *p_parent;
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_CHECKWINDOWED = 1033,
			ID_BTNCHANGEOK = 1031,
			ID_CHOICESERIES = 1030,
			ID_WXSTATICTEXT4 = 1029,
			ID_CHOICEAA = 1028,
			ID_WXSTATICTEXT3 = 1027,
			ID_CHOICERES = 1026,
			ID_WXSTATICTEXT2 = 1025,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
